ruby-typhoeus_0.8.0-2_all.deb


Advertisement

Description

ruby-typhoeus - parallel HTTP library on top of ethon

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-typhoeus
Package version 0.8.0
Package release 2
Package architecture all
Package type deb
Installed size 136 B
Download size 27.59 KB
Official Mirror archive.ubuntu.com
Typhoeus is a HTTP client library based on Ethon which wraps libcurl.
Sitting on top of libcurl makes Typhoeus very reliable and fast.
Like a modern code version of the mythical beast with 100 serpent heads,
Typhoeus runs HTTP requests in parallel while cleanly encapsulating handling
logic.

Alternatives

Package Version Architecture Repository
ruby-typhoeus_0.8.0-2_all.deb 0.8.0 all Ubuntu Universe
ruby-typhoeus - - -

Requires

Name Value
ruby -
ruby-ethon >= 0.8.0
ruby-interpreter -

Download

Type URL
Binary Package ruby-typhoeus_0.8.0-2_all.deb
Source Package ruby-typhoeus

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-typhoeus deb package:
    # sudo apt-get install ruby-typhoeus

Files

Path
/usr/lib/ruby/vendor_ruby/typhoeus.rb
/usr/lib/ruby/vendor_ruby/rack/typhoeus.rb
/usr/lib/ruby/vendor_ruby/rack/typhoeus/middleware/params_decoder.rb
/usr/lib/ruby/vendor_ruby/rack/typhoeus/middleware/params_decoder/helper.rb
/usr/lib/ruby/vendor_ruby/typhoeus/config.rb
/usr/lib/ruby/vendor_ruby/typhoeus/easy_factory.rb
/usr/lib/ruby/vendor_ruby/typhoeus/errors.rb
/usr/lib/ruby/vendor_ruby/typhoeus/expectation.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra.rb
/usr/lib/ruby/vendor_ruby/typhoeus/pool.rb
/usr/lib/ruby/vendor_ruby/typhoeus/railtie.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request.rb
/usr/lib/ruby/vendor_ruby/typhoeus/response.rb
/usr/lib/ruby/vendor_ruby/typhoeus/version.rb
/usr/lib/ruby/vendor_ruby/typhoeus/adapters/faraday.rb
/usr/lib/ruby/vendor_ruby/typhoeus/errors/no_stub.rb
/usr/lib/ruby/vendor_ruby/typhoeus/errors/typhoeus_error.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/addable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/before.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/block_connection.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/cacheable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/memoizable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/queueable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/runnable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/hydra/stubbable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/actions.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/before.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/block_connection.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/cacheable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/callbacks.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/marshal.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/memoizable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/operations.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/responseable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/streamable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/request/stubbable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/response/cacheable.rb
/usr/lib/ruby/vendor_ruby/typhoeus/response/header.rb
/usr/lib/ruby/vendor_ruby/typhoeus/response/informations.rb
/usr/lib/ruby/vendor_ruby/typhoeus/response/status.rb
/usr/share/doc/ruby-typhoeus/CONTRIBUTING.md
/usr/share/doc/ruby-typhoeus/README.md.gz
/usr/share/doc/ruby-typhoeus/changelog.Debian.gz
/usr/share/doc/ruby-typhoeus/copyright
/usr/share/rubygems-integration/all/specifications/typhoeus-0.8.0.gemspec

Changelog

2016-03-15 - Thiago Ribeiro <thiago@pencillabs.com>
ruby-typhoeus (0.8.0-2) unstable; urgency=medium
* Team upload.
[ C├ędric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Thiago Ribeiro ]
* Revert source code change
* Add patch fix-spec-for-ruby2_3.patch (Closes: #816360)
2015-10-25 - Nitesh A Jain <niteshjain92@gmail.com>
ruby-typhoeus (0.8.0-1) unstable; urgency=low
* Team upload
* New upstream release
* Enable Tests
* Check gemspec dependencies during build
2015-08-29 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.7.2-2) unstable; urgency=medium
* Set minimum version of ruby-ethon to 0.7.4 
2015-08-29 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.7.2-1) unstable; urgency=medium
* New upstream release 
2015-04-27 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.7.1-2) unstable; urgency=medium
* Re-upload into unstable 
2015-04-09 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.7.1-1) experimental; urgency=medium
* New upstream release
2014-11-19 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.6.9-1) experimental; urgency=medium
* New upstream release
* Bump standards version to 3.9.6 (no changes) 
* Disable tests (some tests need rspec 3) 
2014-04-13 - Pirate Praveen <praveen@debian.org>
ruby-typhoeus (0.6.8-1) unstable; urgency=low
* New upstream release.
* Bump stadards version to 3.9.5 (no changes)
* Bump gem2deb build dep to >= 0.7.5 (ruby 2.x)
* Bump ruby-ethon dependency to >= 0.7.0
2013-05-16 - Praveen Arimbrathodiyil <praveen@debian.org>
ruby-typhoeus (0.6.3-1) unstable; urgency=low
* Initial release (Closes: #662687)

See Also

Package Description
ruby-tzinfo_1.2.2-1_all.deb Daylight-savings aware timezone library
ruby-uconv_0.6.1-3_i386.deb Unicode/EUC-JP translation module for Ruby
ruby-uglifier_2.7.2-1_all.deb Ruby wrapper for UglifyJS JavaScript compressor
ruby-underscore-rails_1.8.2+dfsg-1_all.deb library to use underscore.js with Rails
ruby-unf-ext_0.0.7.2-1build2_i386.deb Unicode Normalization Form support library for CRuby
ruby-unf_0.1.4-1_all.deb Wrapper library to bring Unicode Normalization Form support to Ruby
ruby-unicode_0.4.4-2build6_i386.deb Unicode string manipulation library for Ruby
ruby-unicorn-worker-killer_0.4.2-1_all.deb library to kill unicorn workers by memory and request counts
ruby-upr_0.3.0-2_all.deb Upload Progress for Rack
ruby-uuid_2.3.8+debian-1_all.deb UUID generator for Ruby
ruby-uuidtools-doc_2.1.5-1_all.deb UUIDs generation library for Ruby - documentation
ruby-uuidtools_2.1.5-1_all.deb UUIDs generation library for Ruby
ruby-valid_1.0.0-2_all.deb standalone, generic object validator for ruby
ruby-validatable_1.6.7-10_all.deb Ruby library for adding validations
ruby-varia-model_0.5.0-1_all.deb Ruby library that provide objects with magic attribute features
Advertisement
Advertisement